- Home
- API Enriched
- Shape
- shape
- List Inline Scripts.
List Inline Scripts.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/csd/namespaces/example/scripts/example/inline';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/csd/namespaces/example/scripts/example/inline \ --header 'Authorization: <Authorization>'List all inline scripts with hash values for a given script ID.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace Namespace.
Script_id script ID.
Query Parameters
Section titled “Query Parameters”Format: unix epoch timestamp in seconds fetch inline scripts whose timestamp >= start_time.
Format: unix epoch timestamp in seconds fetch inline scripts whose timestamp <= end_time.
Responses
Section titled “Responses”A successful response.
Response to list inline scripts.
object
List of inline scripts with hash values.
Inline script information with hash and selector.
object
Unix epoch timestamp when inline script was first detected.
List of event handlers associated with the inline script.
Hash value of the inline script.
Subresource integrity value.
Unix epoch timestamp when inline script was last detected.
Unique identifier for the inline script.
Name of the inline script (composite: baseScriptName::hash)
CSS selector path where the inline script was found.
Examplegenerated
{ "scripts": [ { "first_seen": "example", "handlers": [ "example" ], "hash": "example", "integrity": "example", "last_seen": "example", "script_id": "example", "script_name": "example", "selector": "example" } ]}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example